#include "simple_audio.h"
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char** argv) {


  sa_instrument sine;
  sine.fs = (sa_fourier_series*) malloc(sizeof(sa_fourier_series));
  sine.fs->cos_len = 0;
  sine.fs->sin_len = 1;
  sine.fs->sin_values = malloc(sizeof(double));
  sine.fs->sin_values[0] = 1.0;
  sine.fs->a_0 = 0;

  sa_instrument organ;
  int j;
  organ.fs = (sa_fourier_series*) malloc(sizeof(sa_fourier_series));
  organ.fs->cos_len = 0;
  organ.fs->sin_len = 100;
  organ.fs->sin_values = malloc(sizeof(double) * 100);
  organ.fs->a_0 = 0;
  for(j = 0; j < 100; j++) {
    if(j % 2 == 1)
      organ.fs->sin_values[j] = 0;
    else
      organ.fs->sin_values[j] = 1.0 / (j+1) / 3.1415926;
  }

  sa_track* track = sa_track_new(2);

  
  sample* ss = sa_note(organ, "A3", 44100);
  sa_track_append(track, ss, 44100, 0);
  sa_track_append(track, ss, 44100, 1);

  ss = sa_note(organ, "B3", 44100);
  sa_track_append(track, ss, 44100, 0);
  sa_track_append(track, ss, 44100, 1);

  sa_track_write(track, "prova.cdr");
  
  return 0;
}

